Recommended update for yast2-storage-ng

SUSE Recommended Update: Recommended update for yast2-storage-ng
Announcement ID: SUSE-RU-2020:0781-1
Rating: moderate
References: #1159201 #1161775 #1162043
Affected Products:
  • SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1
  • SUSE Linux Enterprise Module for Development Tools 15-SP1
  • SUSE Linux Enterprise Module for Basesystem 15-SP1
  • SUSE Linux Enterprise Installer 15-SP1

An update that has three recommended fixes can now be installed.

Description:

This update for yast2-storage-ng fixes the following issues:

  • Include a 'partitions' section in AutoYaST when exporting an unpartitioned software RAID which is not used as a filesystem. (bsc#1159201)
  • Fix for showing an error message when no suitable physical volumes are found for a given volume group instead of crashing. (bsc#1162043)

This update for libstorage-ng fixes the following issues:
  • Add option to ignore clustered logical volumes as it can be detected but cannot be locked therefore during upgrade the process does not find any install OS. (bsc#1161775)

Patch Instructions:

To install this SUSE Recommended Update use the SUSE recommended installation methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  • SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1:
    zypper in -t patch SUSE-SLE-Module-Development-Tools-OBS-15-SP1-2020-781=1
  • SUSE Linux Enterprise Module for Development Tools 15-SP1:
    zypper in -t patch SUSE-SLE-Module-Development-Tools-15-SP1-2020-781=1
  • SUSE Linux Enterprise Module for Basesystem 15-SP1:
    zypper in -t patch SUSE-SLE-Module-Basesystem-15-SP1-2020-781=1
  • SUSE Linux Enterprise Installer 15-SP1:
    zypper in -t patch SUSE-SLE-INSTALLER-15-SP1-2020-781=1

Package List:

  • SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1 (aarch64 ppc64le s390x x86_64):
    • libstorage-ng-debuginfo-4.1.108-4.15.1
    • libstorage-ng-debugsource-4.1.108-4.15.1
    • libstorage-ng-integration-tests-4.1.108-4.15.1
    • libstorage-ng-python3-4.1.108-4.15.1
    • libstorage-ng-python3-debuginfo-4.1.108-4.15.1
  • SUSE Linux Enterprise Module for Development Tools 15-SP1 (aarch64 ppc64le s390x x86_64):
    • libstorage-ng-debuginfo-4.1.108-4.15.1
    • libstorage-ng-debugsource-4.1.108-4.15.1
    • libstorage-ng-utils-4.1.108-4.15.1
    • libstorage-ng-utils-debuginfo-4.1.108-4.15.1
  • SUSE Linux Enterprise Module for Basesystem 15-SP1 (aarch64 ppc64le s390x x86_64):
    • libstorage-ng-debuginfo-4.1.108-4.15.1
    • libstorage-ng-debugsource-4.1.108-4.15.1
    • libstorage-ng-devel-4.1.108-4.15.1
    • libstorage-ng-ruby-4.1.108-4.15.1
    • libstorage-ng-ruby-debuginfo-4.1.108-4.15.1
    • libstorage-ng1-4.1.108-4.15.1
    • libstorage-ng1-debuginfo-4.1.108-4.15.1
    • yast2-storage-ng-4.1.93-3.24.4
  • SUSE Linux Enterprise Module for Basesystem 15-SP1 (noarch):
    • libstorage-ng-lang-4.1.108-4.15.1
  • SUSE Linux Enterprise Installer 15-SP1 (aarch64 ppc64le s390x x86_64):
    • libstorage-ng-ruby-4.1.108-4.15.1
    • libstorage-ng1-4.1.108-4.15.1
    • libstorage-ng1-debuginfo-4.1.108-4.15.1
    • yast2-storage-ng-4.1.93-3.24.4

References: